Subject: bug#13692: mouse clicks in vc-dir buffers accidentally changing marks

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Jan 2021 15:46:03 +0100

Dmitry Gutov <[email-masked]> writes:

> On 20.01.2021 05:58, Lars Ingebrigtsen wrote:
>> So the suggestion is to remove the `[mouse-2]' binding in
>> `vc-dir-mode'.
>
> I'm not sure, actually. Perhaps the complaint is about the mouse-1
> effect on status buttons.
>
> But the rest of my email is on the assumption that we're talking about
> the mouse-2 binding.

Depending on your settings, it's the same binding.  I think the default
is that mouse-1 and mouse-2 will work the same here (because of the

    (define-key map [follow-link] 'mouse-face)

thing)?

> I don't have a strong opinion about this feature, but it seems like it
> was designed almost with the main goal of being non-discoverable. As
> such, I don't think it has many users.
>
> It only works when you click on an empty space; if you click on a file
> or directory name (which are highlighted as buttons and thus invite
> you to click on them), using mouse-1 or mouse-2, you get to visit the
> file instead. Only the "status" buttons work for that.

It works on the status column, which normally has text like "edited   "
in it (if you've edited something) -- the button extends to the end of
the column...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no